Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.wsdl
Class UrlWsdlLoader.WsdlCredentialsProvider

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.wsdl.UrlWsdlLoader.WsdlCredentialsProvider

All Implemented Interfaces:
  org.apache.commons.httpclient.auth.CredentialsProvider

Enclosing class:
  UrlWsdlLoader

    public final class UrlWsdlLoader.WsdlCredentialsProvider

extends java.lang.Object
implements org.apache.commons.httpclient.auth.CredentialsProvider

CredentialsProvider for providing login information during WSDL loading

Author:
  ole.matzura

Field Summary

Fields inherited from interface org.apache.commons.httpclient.auth.CredentialsProvider
`PROVIDER`

Constructor Summary
`UrlWsdlLoader.WsdlCredentialsProvider()`

Method Summary
`org.apache.commons.httpclient.Credentials` | `getCredentials(org.apache.commons.httpclient.auth.AuthScheme authscheme, java.lang.String host, int port, boolean proxy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlWsdlLoader.WsdlCredentialsProvider

    public UrlWsdlLoader.WsdlCredentialsProvider()

Method Detail

### getCredentials

    public org.apache.commons.httpclient.Credentials getCredentials(org.apache.commons.httpclient.auth.AuthScheme authscheme,
                                                                    java.lang.String host,
                                                                    int port,
                                                                    boolean proxy)
                                                             throws org.apache.commons.httpclient.auth.CredentialsNotAvailableException

  Specified by:
    `getCredentials` in interface `org.apache.commons.httpclient.auth.CredentialsProvider`
  Throws:
    `org.apache.commons.httpclient.auth.CredentialsNotAvailableException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.